# Generated by Django 3.0.3 on 2021-04-03 13:11

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('main', '0054_auto_20210331_1556'),
    ]

    operations = [
        migrations.CreateModel(
            name='TerritorioRevisaoStatus',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('deleted', models.DateTimeField(blank=True, editable=False, null=True)),
                ('status', models.IntegerField(choices=[(1, 'À revisar'), (4, 'À revisar pendências'), (2, 'Revisando'), (3, 'Com dúvidas'), (5, 'Aprovado'), (6, 'Revisado com pendências'), (7, 'Rejeitado')], default=1)),
                ('alterado_por', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('territorio', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='status_revisao', to='main.Territorio')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
